#!/usr/bin/env kjscmd

var textlayer = new Pixmap();
var painter = new Painter();

var w = 100;
var h = 100;
var test = "This is a test";
var pn = new Pen(this);
var bsh = new Brush(this);

bsh.setColor("red");

pn.setWidth(2);
pn.setColor("red");

textlayer.resize( w,h);
textlayer.fill("white");
if (painter.begin(textlayer) )
{
	painter.setPen(pn);
	painter.setBrush(bsh);
	painter.drawRoundRect( 5, 5, w-5, h-5, 25, 25 );
	if( painter.end() )
	{
		var lbl = new TQLabel();
		var img = new Image(this);
		img.setPixmap( painter.pixmap() );

		img.emboss(0,1);
		lbl.pixmap=img.pixmap();
		lbl.show();
                application.exec();

	}
}
